cannot install phpldapadmin on Ubuntu 13.10 (saucy) and 14.04 (trusty)

Bug #1246170 reported by Zhang Huangbin on 2013-10-30
216
This bug affects 36 people
Affects Status Importance Assigned to Milestone
phpldapadmin (Debian)
Fix Released
Unknown
phpldapadmin (Ubuntu)
High
Andrew Starr-Bochicchio
Trusty
High
Andrew Starr-Bochicchio

Bug Description

SRU justification:

[Impact]

 * The package's post install script fails leaving the package in a broken state. This affects all users of the package.

[Test Case]

Attempt to install the package from the archive. It will fail with:

Setting up phpldapadmin (1.2.2-5ubuntu1) ...
ln: failed to create symbolic link ‘/etc/apache2/conf.d/phpldapadmin’: No such file or directory
dpkg: error processing phpldapadmin (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 phpldapadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)

Install the package from proposed. You will not see the above error. Verify that the Apache configuration is present at /etc/apache2/conf-available/phpldapadmin.conf

[Regression Potential]

 * There is little regression potential as the post install script already fails to install the file correctly at all.

-----

Original report:

cannot install phpldapadmin on Ubuntu 13.10 (saucy, amd64), error message:

ln: failed to create symbolic link ‘/etc/apache2/conf.d/phpldapadmin’: No such file or directory

The problem is Apache2 uses /etc/apache2/conf-available/ instead of /etc/apache2/conf.d/.

Full install log:

# apt-get install phpldapadmin
Reading package lists... Done
Building dependency tree
Reading state information... Done
phpldapadmin is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up phpldapadmin (1.2.2-5ubuntu1) ...
ln: failed to create symbolic link ‘/etc/apache2/conf.d/phpldapadmin’: No such file or directory
dpkg: error processing phpldapadmin (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 phpldapadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)

Geliy Sokolov (hellium) wrote :

It's actually a bug in phpldapadmin package, not in software-center

affects: software-center (Ubuntu) → phpldapadmin (Ubuntu)
Changed in phpldapadmin (Ubuntu):
status: New → Confirmed
Changed in phpldapadmin (Debian):
status: Unknown → New
Geliy Sokolov (hellium) on 2013-11-06
tags: added: saucy
Geliy Sokolov (hellium) wrote :

This patch should be just enough to fix installation/removal of phpldapadmin with apache 2.4 ( https://wiki.debian.org/Apache/PackagingFor24 )

Can anyone test?

The attachment "fix-lp-1246170.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Geliy Sokolov (hellium) wrote :

Please test from ppa:hellium/ppa , which also includes fix for bug #1241425 (Incompatible with Saucy PHP 5.5)

Cameron Esfahani (cesfahani) wrote :

I just ran into this issue and confirmed that using your PPA, the problem was resolved. I did this on a Ubuntu 14.04 install and it worked like a champ. Thanks!

Hans-Dominik (hdm-mail) on 2014-04-25
summary: - cannot install phpldapadmin on Ubuntu 13.10 (saucy)
+ cannot install phpldapadmin on Ubuntu 13.10 (saucy) and 14.04 (trusty)
Changed in phpldapadmin (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Changed in phpldapadmin (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
description: updated
Changed in phpldapadmin (Ubuntu Trusty):
status: Triaged → In Progress
Changed in phpldapadmin (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phpldapadmin - 1.2.2-5ubuntu2

---------------
phpldapadmin (1.2.2-5ubuntu2) utopic; urgency=medium

  * Adjust installation of conf file for Apache 2.4 (LP: #1246170).
   - Thanks to Geliy Sokolov!
  * Cherrypick patch from upstream bug tracker fixing compatibility
    with php 5.5 (LP: #1241425).
 -- Andrew Starr-Bochicchio <email address hidden> Thu, 01 May 2014 20:45:25 -0400

Changed in phpldapadmin (Ubuntu):
status: Fix Committed → Fix Released
Changed in phpldapadmin (Debian):
status: New → Fix Released

Hello Zhang, or anyone else affected,

Accepted phpldapadmin into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/phpldapadmin/1.2.2-5ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in phpldapadmin (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Neeeeds (haddad-nidal1) on 2014-05-13
description: updated
Neeeeds (haddad-nidal1) wrote :

Hello everyone, i managed to install phpldamadmin package from the -proposed repository.
this patch fixed my problem all i did was i added the proposed repository yo my sources.list and i did
sudo apt-get install packagename/trusty-proposed
and it works thank you for the patch.
Have a nice day.

Changed in phpldapadmin (Ubuntu Trusty):
status: Fix Committed → Invalid
status: Invalid → Fix Committed
tags: added: verification-done
removed: phpldapadmin verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phpldapadmin - 1.2.2-5ubuntu1.1

---------------
phpldapadmin (1.2.2-5ubuntu1.1) trusty-proposed; urgency=medium

  * Adjust installation of conf file for Apache 2.4 (LP: #1246170).
   - Thanks to Geliy Sokolov!
  * Cherrypick patch from upstream bug tracker fixing compatibility
    with php 5.5 (LP: #1241425).
 -- Andrew Starr-Bochicchio <email address hidden> Thu, 01 May 2014 20:45:25 -0400

Changed in phpldapadmin (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for phpldapadmin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

mouna (mouna-star) wrote :

i can't resolve this probleme please tell me how you resolve it please ??

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.